%global srcname pymathics-graph

Name:           python-%{srcname}
Version:        5.0.0a0
Release:        %autorelease
Summary:        Mathics Graph functions using NetworkX and Matplotlib 

License:        GPL-3.0-only
URL:            https://pypi.org/project/pymathics-graph/
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This is package provides a Mathics Graph Module using NetworkX and Matplotlib.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}
Supplements:    mathics

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
# This should be pymathics/graph but that doesn't work due to RHBZ#1935266
%pyproject_save_files pymathics

%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
%autochangelog
